.side-bar {
  width: 240px;
  height: 100vh;
  background-color: #000000;
  padding: 1rem;
  font-family: Verdana, Geneva, Tahoma, sans-serif;
  position: relative;
  z-index: 10;
  &__header {
    padding: 1rem 0 2rem 0;
    &__img {
      height: 36px;
      cursor: pointer;
    }
  }
  &__settings {
    position:absolute;
    top: 4px;
    right: 4px;
    display: flex;
    justify-content: flex-end;
    gap: 1rem;
    // height: 70px;
    &__lock {
      position: relative;
      width: 25px;
      cursor: pointer;
      margin-bottom: 1rem;
      img {
        position: absolute;
        height: 20px;
        width: 20px;
        filter: var(--toLightGray);
        &.lock-gate {
          top: 0;
          transition: transform 0.3s ease;
          transform-origin: 10px 15px;
        }
        &.lock-body {
          top: 14px;
        }
      }
      &:hover {
        filter: var(--toWhite);
        .lock-gate {
          transition: transform 0.3s ease;
          transform: rotate(65deg);
          transform-origin: 10px 15px;
        }
      }
    }
  }
  &__primary {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    &__opt {
      display: flex;
      align-items: center;
      gap: 1rem;
      list-style-type: none;
      cursor: pointer;
      transition: color 0.3s ease;
      &__img {
        filter: var(--toLightGray);
        height: 25px;
        width: 25px;
        transition: color 0.3s ease;
      }
      &__link {
        font-weight: 600;
        font-size: 0.8rem;
        color: #b3b3b3;
        transition: color 0.3s ease;
      }
      &:hover &__img, &:hover &__link {
        filter: var(--toWhite);
        color: #fff;
        transition: color 0.3s ease;
      }
    }
  }
  &__hr {
    height: 1px;
    background-color: #b3b3b363;
    margin: 1rem 0;
    width: 100%;
  }
  &__song-list {
    color: #b3b3b3;
    &__song {
      list-style-type: none;
      font-size: 0.8rem;
      cursor: pointer;
      transition: color 0.3s ease;
      &:hover {
        color: #fff;
        transition: color 0.3s ease;
      }
    }
  }
}
@media (max-width: 600px) {
  .side-bar {
    position: absolute;
    left: 0;
    &.close {
      left: -240px;
    }
  }
}
